<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for getNumDevicesResponse StructType
 * @subpackage Structs
 */
class GetNumDevicesResponse extends GetNumDevicesRes
{
    /**
     * The class
     * Meta information extracted from the WSDL
     * - base: xsd:Name
     * - maxLength: 128
     * - use: optional
     * @var string
     */
    public $class;
    /**
     * Constructor method for getNumDevicesResponse
     * @uses GetNumDevicesResponse::setClass()
     * @param string $class
     */
    public function __construct($class = null)
    {
        $this
            ->setClass($class);
    }
    /**
     * Get class value
     * @return string|null
     */
    public function getClass()
    {
        return $this->class;
    }
    /**
     * Set class value
     * @param string $class
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetNumDevicesResponse
     */
    public function setClass($class = null)
    {
        $this->class = $class;
        return $this;
    }
}
